Package org.apache.any23.extractor.rdfa

## Class RDFaExtractorTest

- java.lang.Object
- - org.apache.any23.AbstractAny23TestBase
  - - org.apache.any23.extractor.html.AbstractExtractorTestCase
    - - org.apache.any23.extractor.rdfa.AbstractRDFaExtractorTestCase
      - - org.apache.any23.extractor.rdfa.RDFaExtractorTest

-     public class RDFaExtractorTest
      extends AbstractRDFaExtractorTestCase

  Reference Test Class for `RDFaExtractor`.

- - ### Field Summary

    - ### Fields inherited from class org.apache.any23.extractor.rdfa.AbstractRDFaExtractorTestCase

      `vDCTERMS, vFOAF`

    - ### Fields inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase

      `baseIRI, conn`

    - ### Fields inherited from class org.apache.any23.AbstractAny23TestBase

      `tempDirectory, testFolder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RDFaExtractorTest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected ExtractorFactory<?>` | `getExtractorFactory()` |
    `void` | `testRDFa11CURIEs()` | This test check if the RDFa1.1 CURIEs expansion is correct and backward compatible with RDFa 1.0.
    `void` | `testRDFa11PrefixBackwardCompatibility()` | Taken from the GoodRelations test cases.
    `void` | `testTolerantParsing()` | Tests that the default parser settings enable tolerance in data type parsing.

    - ### Methods inherited from class org.apache.any23.extractor.rdfa.AbstractRDFaExtractorTestCase

      `testBasic, testDrupalTestPage, testEmptyDatatypeDeclarationWithInnerXMLTags, testIncompleteTripleManagement`

    - ### Methods inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase

      `assertContains, assertContains, assertContains, assertContains, assertContains, assertContains, assertContainsModel, assertContainsModel, assertExtract, assertExtract, assertIssue, assertModelEmpty, assertModelNotEmpty, assertNoIssues, assertNotContains, assertNotContains, assertNotContains, assertNotContains, assertNotFound, assertStatementsSize, assertStatementsSize, assertStatementsSize, dumpAsListOfStatements, dumpHumanReadableTriples, dumpModelToNQuads, dumpModelToRDFXML, dumpModelToTurtle, extract, findExactlyOneBlankSubject, findExactlyOneObject, findObject, findObjectAsLiteral, findObjectAsResource, findObjects, findSubjects, getConnection, getIssues, getIssues, getReport, getStatements, getStatementsSize, setUp, tearDown`

    - ### Methods inherited from class org.apache.any23.AbstractAny23TestBase

      `copyResourceToTempFile, getDocumentSourceFromResource, getDocumentSourceFromResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RDFaExtractorTest

          public RDFaExtractorTest()

  - ### Method Detail

    - #### testRDFa11PrefixBackwardCompatibility

          public void testRDFa11PrefixBackwardCompatibility()
                                                     throws org.eclipse.rdf4j.repository.RepositoryException,
                                                            org.eclipse.rdf4j.rio.RDFHandlerException,
                                                            IOException,
                                                            org.eclipse.rdf4j.rio.RDFParseException

      Taken from the GoodRelations test cases. It checks if the extraction is the same when the namespaces are defined in RDFa1.0 or RDFa1.1 respectively.
      Throws:
        `org.eclipse.rdf4j.repository.RepositoryException` - if an error is encountered whilst loading content from a storage connection
        `IOException` - if there is an error interpreting the input data
        `org.eclipse.rdf4j.rio.RDFHandlerException` - if there is an error within the `RDFHandler`
        `org.eclipse.rdf4j.rio.RDFParseException` - if there is an exception parsing an RDF Stream

    - #### testRDFa11CURIEs

          public void testRDFa11CURIEs()
                                throws Exception

      Description copied from class: `AbstractRDFaExtractorTestCase`
      This test check if the RDFa1.1 CURIEs expansion is correct and backward compatible with RDFa 1.0.
      Overrides:
        `testRDFa11CURIEs` in class `AbstractRDFaExtractorTestCase`
      Throws:
        `Exception` - if there is an issue asserting test values.

    - #### testTolerantParsing

          public void testTolerantParsing()

      Tests that the default parser settings enable tolerance in data type parsing.

    - #### getExtractorFactory

          protected ExtractorFactory<?> getExtractorFactory()

      Specified by:
        `getExtractorFactory` in class `AbstractExtractorTestCase`
      Returns:
        the factory of the extractor to be tested.